package org.apache.ws.jaxme.generator.sg;

import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaField;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.js.TypedValue;
import org.xml.sax.SAXException;


public interface PropertySGChain {
  



  public void init(PropertySG pController) throws SAXException;

  public boolean hasIsSetMethod(PropertySG pController);

  public String getCollectionType(PropertySG pController);

  public String getXMLFieldName(PropertySG pController) throws SAXException;

  public String getXMLGetMethodName(PropertySG pController) throws SAXException;

  public String getXMLSetMethodName(PropertySG pController) throws SAXException;

  public String getXMLIsSetMethodName(PropertySG pController) throws SAXException;

  public JavaField getXMLField(PropertySG pController, JavaSource pSource) throws SAXException;

  public JavaMethod getXMLGetMethod(PropertySG pController, JavaSource pSource) throws SAXException;

  public JavaMethod getXMLSetMethod(PropertySG pController, JavaSource pSource) throws SAXException;

  public JavaMethod getXMLIsSetMethod(PropertySG pController, JavaSource pSource) throws SAXException;

  public Object getValue(PropertySG pController, DirectAccessible pElement) throws SAXException;

  public void setValue(PropertySG pController, JavaMethod pMethod, DirectAccessible pElement, Object pValue, JavaQName pType) throws SAXException;

  public void addValue(PropertySG pController, JavaMethod pMethod, DirectAccessible pElement, TypedValue pValue, JavaQName pType) throws SAXException;

  public void forAllValues(PropertySG pController, JavaMethod pMethod, DirectAccessible pElement, SGlet pSGlet) throws SAXException;

  public void forAllNonNullValues(PropertySG pController, JavaMethod pMethod, DirectAccessible pElement, SGlet pSGlet) throws SAXException;

  public void generate(PropertySG pController, JavaSource pSource) throws SAXException;

}
