package org.apache.ws.jaxme.generator.sg;

import org.apache.ws.jaxme.generator.sg.Facet.Type;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.js.TypedValue;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public interface SimpleTypeSGChain {
  



  public boolean isAtomic(SimpleTypeSG pController);

  public boolean isList(SimpleTypeSG pController);

  public boolean isUnion(SimpleTypeSG pController);

  public boolean isNullable(SimpleTypeSG pController);

  public void setNullable(SimpleTypeSG pController, boolean pNullable);

  public AtomicTypeSG getAtomicType(SimpleTypeSG pController);

  public ListTypeSG getListType(SimpleTypeSG pController);

  public UnionTypeSG getUnionType(SimpleTypeSG pController);

  public JavaQName getRuntimeType(SimpleTypeSG pController);

  public TypedValue getCastFromString(SimpleTypeSG pController, JavaMethod pMethod, Object pValue, Object pData) throws SAXException;

  public TypedValue getCastToString(SimpleTypeSG pController, JavaMethod pMethod, Object pValue, DirectAccessible pData) throws SAXException;

  public TypedValue getCastFromString(SimpleTypeSG pController, String pValue) throws SAXException;

  public boolean hasSetMethod(SimpleTypeSG pController) throws SAXException;

  public String getCollectionType(SimpleTypeSG pController);

  public Facet[] getFacets(SimpleTypeSG pController);

  public Facet getFacet(SimpleTypeSG pController, Type pType);

  public void forAllValues(SimpleTypeSG pController, JavaMethod pMethod, Object pValue, SGlet pSGlet) throws SAXException;

  public void forAllNonNullValues(SimpleTypeSG pController, JavaMethod pMethod, Object pValue, SGlet pSGlet) throws SAXException;

  public void generate(SimpleTypeSG pController) throws SAXException;

  public void generate(SimpleTypeSG pController, JavaSource pSource) throws SAXException;

  public Object getEqualsCheck(SimpleTypeSG pController, JavaMethod pMethod, Object pValue1, Object pValue2) throws SAXException;

  public Object getInitialValue(SimpleTypeSG pController, JavaSource pSource) throws SAXException;

  public JavaMethod getXMLSetMethod(SimpleTypeSG pController, JavaSource pSource, String pFieldName, String pMethodName) throws SAXException;

  public void addValidation(SimpleTypeSG pController, JavaMethod pMethod, DirectAccessible pValue) throws SAXException;

  public SGFactory getFactory(SimpleTypeSG pController);

  public SchemaSG getSchema(SimpleTypeSG pController);

  public Locator getLocator(SimpleTypeSG pController);

  public void init(SimpleTypeSG pController) throws SAXException;

}
