package org.apache.ws.jaxme.generator.sg;

import org.apache.ws.jaxme.js.JavaField;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.apache.ws.jaxme.xs.xml.XsSchemaHeader;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public interface TypeSGChain {
  



  public void setProperty(TypeSG pController, String pName, Object pValue);

  public Object getProperty(TypeSG pController, String pName);

  public boolean isGlobalType(TypeSG pController);

  public boolean isGlobalClass(TypeSG pController);

  public XsQName getName(TypeSG pController);

  public boolean isComplex(TypeSG pController);

  public Object newSimpleTypeSG(TypeSG pController) throws SAXException;

  public Object newComplexTypeSG(TypeSG pController) throws SAXException;

  public ComplexTypeSG getComplexTypeSG(TypeSG pController);

  public SimpleTypeSG getSimpleTypeSG(TypeSG pController);

  public JavaField getXMLField(TypeSG pController, JavaSource pSource, String pFieldName, String pDefaultValue) throws SAXException;

  public JavaMethod getXMLGetMethod(TypeSG pController, JavaSource pSource, String pFieldName, String pMethodName) throws SAXException;

  public JavaMethod getXMLSetMethod(TypeSG pController, JavaSource pSource, String pFieldName, String pMethodName, boolean pSetIsSet) throws SAXException;

  public JavaMethod getXMLIsSetMethod(TypeSG pController, JavaSource pSource, String pFieldName, String pMethodName) throws SAXException;

  public JavaQName getRuntimeType(TypeSG pController) throws SAXException;

  public void generate(TypeSG pController) throws SAXException;

  public void generate(TypeSG pController, JavaSource pSource) throws SAXException;

  public boolean isRestriction(TypeSG pController);

  public TypeSG getRestrictedType(TypeSG pController);

  public boolean isExtension(TypeSG pController);

  public TypeSG getExtendedType(TypeSG pController);

  public XsSchemaHeader getSchemaHeader(TypeSG pController);

  public SGFactory getFactory(TypeSG pController);

  public SchemaSG getSchema(TypeSG pController);

  public Locator getLocator(TypeSG pController);

  public void init(TypeSG pController) throws SAXException;

}
