package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.ComplexContentSG;
import org.apache.ws.jaxme.generator.sg.ComplexContentSGChain;
import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.ParticleSG;
import org.apache.ws.jaxme.js.JavaSource;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class ComplexContentSGChainImpl implements ComplexContentSGChain {
  private ComplexContentSGChain backingObject;


  protected ComplexContentSGChainImpl(ComplexContentSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public Locator getLocator(ComplexContentSG pController) {
    return backingObject.getLocator(pController);
  }

  public void init(ComplexContentSG pController) throws SAXException {
    backingObject.init(pController);
  }

  public boolean isEmpty(ComplexContentSG pController) {
    return backingObject.isEmpty(pController);
  }

  public boolean isMixed(ComplexContentSG pController) {
    return backingObject.isMixed(pController);
  }

  public GroupSG getGroupSG(ComplexContentSG pController) {
    return backingObject.getGroupSG(pController);
  }

  public void generateProperties(ComplexContentSG pController, JavaSource pSource) throws SAXException {
    backingObject.generateProperties(pController, pSource);
  }

  public ParticleSG[] getElementParticles(ComplexContentSG pController) throws SAXException {
    return backingObject.getElementParticles(pController);
  }

}
