package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.AttributeSG;
import org.apache.ws.jaxme.generator.sg.ComplexContentSG;
import org.apache.ws.jaxme.generator.sg.ComplexTypeSG;
import org.apache.ws.jaxme.generator.sg.ComplexTypeSGChain;
import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.SimpleContentSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.XSAttribute;
import org.apache.ws.jaxme.xs.XSWildcard;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class ComplexTypeSGImpl implements ComplexTypeSG {
  private ComplexTypeSGChain backingObject;


  public ComplexTypeSGImpl(ComplexTypeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public TypeSG getTypeSG() {
    return backingObject.getTypeSG(this);
  }

  public Locator getLocator() {
    return backingObject.getLocator(this);
  }

  public Context getClassContext() {
    return backingObject.getClassContext(this);
  }

  public JavaSource getXMLInterface() throws SAXException {
    return backingObject.getXMLInterface(this);
  }

  public JavaSource getXMLInterface(JavaSource pSource) throws SAXException {
    return backingObject.getXMLInterface(this, pSource);
  }

  public JavaSource getXMLImplementation() throws SAXException {
    return backingObject.getXMLImplementation(this);
  }

  public JavaSource getXMLImplementation(JavaSource pSource) throws SAXException {
    return backingObject.getXMLImplementation(this, pSource);
  }

  public JavaSource getXMLSerializer() throws SAXException {
    return backingObject.getXMLSerializer(this);
  }

  public JavaSource getXMLSerializer(JavaSource pSource) throws SAXException {
    return backingObject.getXMLSerializer(this, pSource);
  }

  public JavaSource getXMLHandler(JavaQName pQName) throws SAXException {
    return backingObject.getXMLHandler(this, pQName);
  }

  public JavaSource getXMLHandler(JavaSource pSource) throws SAXException {
    return backingObject.getXMLHandler(this, pSource);
  }

  public boolean hasAttributes() {
    return backingObject.hasAttributes(this);
  }

  public Object newAttributeSG(XSAttribute pAttribute) throws SAXException {
    return backingObject.newAttributeSG(this, pAttribute);
  }

  public Object newAttributeSG(XSWildcard pWildcard) throws SAXException {
    return backingObject.newAttributeSG(this, pWildcard);
  }

  public void addAttributeSG(AttributeSG pAttribute) throws SAXException {
    backingObject.addAttributeSG(this, pAttribute);
  }

  public AttributeSG[] getAttributes() {
    return backingObject.getAttributes(this);
  }

  public boolean hasSimpleContent() {
    return backingObject.hasSimpleContent(this);
  }

  public Object newSimpleContentTypeSG() throws SAXException {
    return backingObject.newSimpleContentTypeSG(this);
  }

  public SimpleContentSG getSimpleContentSG() {
    return backingObject.getSimpleContentSG(this);
  }

  public Object newComplexContentTypeSG() throws SAXException {
    return backingObject.newComplexContentTypeSG(this);
  }

  public ComplexContentSG getComplexContentSG() {
    return backingObject.getComplexContentSG(this);
  }

  public ComplexTypeSGChain getHeadOfChain() {
    return backingObject;
  }

}
