package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.GroupSGChain;
import org.apache.ws.jaxme.generator.sg.ParticleSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.xs.XSParticle;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class GroupSGChainImpl implements GroupSGChain {
  private GroupSGChain backingObject;


  protected GroupSGChainImpl(GroupSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public boolean isGlobal(GroupSG pController) {
    return backingObject.isGlobal(pController);
  }

  public XsQName getName(GroupSG pController) {
    return backingObject.getName(pController);
  }

  public boolean isAll(GroupSG pController) {
    return backingObject.isAll(pController);
  }

  public boolean isChoice(GroupSG pController) {
    return backingObject.isChoice(pController);
  }

  public boolean isSequence(GroupSG pController) {
    return backingObject.isSequence(pController);
  }

  public Context getClassContext(GroupSG pController) throws SAXException {
    return backingObject.getClassContext(pController);
  }

  public ParticleSG[] getParticles(GroupSG pController) throws SAXException {
    return backingObject.getParticles(pController);
  }

  public Object newParticleSG(GroupSG pController, XSParticle pParticle) throws SAXException {
    return backingObject.newParticleSG(pController, pParticle);
  }

  public SGFactory getFactory(GroupSG pController) {
    return backingObject.getFactory(pController);
  }

  public SchemaSG getSchema(GroupSG pController) {
    return backingObject.getSchema(pController);
  }

  public Locator getLocator(GroupSG pController) {
    return backingObject.getLocator(pController);
  }

  public void init(GroupSG pController) throws SAXException {
    backingObject.init(pController);
  }

}
