package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.ObjectSG;
import org.apache.ws.jaxme.generator.sg.ObjectSGChain;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class ObjectSGChainImpl implements ObjectSGChain {
  private ObjectSGChain backingObject;


  protected ObjectSGChainImpl(ObjectSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public XsQName getName(ObjectSG pController) {
    return backingObject.getName(pController);
  }

  public Context getClassContext(ObjectSG pController) {
    return backingObject.getClassContext(pController);
  }

  public TypeSG getTypeSG(ObjectSG pController) {
    return backingObject.getTypeSG(pController);
  }

  public JavaSource getXMLInterface(ObjectSG pController) throws SAXException {
    return backingObject.getXMLInterface(pController);
  }

  public JavaSource getXMLImplementation(ObjectSG pController) throws SAXException {
    return backingObject.getXMLImplementation(pController);
  }

  public JavaSource getXMLHandler(ObjectSG pController) throws SAXException {
    return backingObject.getXMLHandler(pController);
  }

  public JavaSource getXMLSerializer(ObjectSG pController) throws SAXException {
    return backingObject.getXMLSerializer(pController);
  }

  public void generate(ObjectSG pController) throws SAXException {
    backingObject.generate(pController);
  }

  public boolean isGlobal(ObjectSG pController) throws SAXException {
    return backingObject.isGlobal(pController);
  }

  public SGFactory getFactory(ObjectSG pController) {
    return backingObject.getFactory(pController);
  }

  public SchemaSG getSchema(ObjectSG pController) {
    return backingObject.getSchema(pController);
  }

  public Locator getLocator(ObjectSG pController) {
    return backingObject.getLocator(pController);
  }

  public void init(ObjectSG pController) throws SAXException {
    backingObject.init(pController);
  }

}
