package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.ObjectSG;
import org.apache.ws.jaxme.generator.sg.ParticleSG;
import org.apache.ws.jaxme.generator.sg.ParticleSGChain;
import org.apache.ws.jaxme.generator.sg.PropertySG;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaMethod;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class ParticleSGImpl implements ParticleSG {
  private ParticleSGChain backingObject;


  public ParticleSGImpl(ParticleSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public Locator getLocator() {
    return backingObject.getLocator(this);
  }

  public boolean isGroup() {
    return backingObject.isGroup(this);
  }

  public boolean isElement() {
    return backingObject.isElement(this);
  }

  public boolean isWildcard() {
    return backingObject.isWildcard(this);
  }

  public GroupSG getGroupSG() {
    return backingObject.getGroupSG(this);
  }

  public ObjectSG getObjectSG() {
    return backingObject.getObjectSG(this);
  }

  public int getMinOccurs() {
    return backingObject.getMinOccurs(this);
  }

  public int getMaxOccurs() {
    return backingObject.getMaxOccurs(this);
  }

  public boolean isMultiple() {
    return backingObject.isMultiple(this);
  }

  public Object newPropertySGChain() throws SAXException {
    return backingObject.newPropertySGChain(this);
  }

  public PropertySG getPropertySG() throws SAXException {
    return backingObject.getPropertySG(this);
  }

  public void forAllNonNullValues(JavaMethod pMethod, DirectAccessible pElement, SGlet pSGlet) throws SAXException {
    backingObject.forAllNonNullValues(this, pMethod, pElement, pSGlet);
  }

  public ParticleSGChain getHeadOfChain() {
    return backingObject;
  }

}
