package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.PropertySG;
import org.apache.ws.jaxme.generator.sg.PropertySGChain;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaField;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.js.TypedValue;
import org.xml.sax.SAXException;


public class PropertySGChainImpl implements PropertySGChain {
  private PropertySGChain backingObject;


  protected PropertySGChainImpl(PropertySGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void init(PropertySG pController) throws SAXException {
    backingObject.init(pController);
  }

  public boolean hasIsSetMethod(PropertySG pController) {
    return backingObject.hasIsSetMethod(pController);
  }

  public String getCollectionType(PropertySG pController) {
    return backingObject.getCollectionType(pController);
  }

  public String getXMLFieldName(PropertySG pController) throws SAXException {
    return backingObject.getXMLFieldName(pController);
  }

  public String getXMLGetMethodName(PropertySG pController) throws SAXException {
    return backingObject.getXMLGetMethodName(pController);
  }

  public String getXMLSetMethodName(PropertySG pController) throws SAXException {
    return backingObject.getXMLSetMethodName(pController);
  }

  public String getXMLIsSetMethodName(PropertySG pController) throws SAXException {
    return backingObject.getXMLIsSetMethodName(pController);
  }

  public JavaField getXMLField(PropertySG pController, JavaSource pSource) throws SAXException {
    return backingObject.getXMLField(pController, pSource);
  }

  public JavaMethod getXMLGetMethod(PropertySG pController, JavaSource pSource) throws SAXException {
    return backingObject.getXMLGetMethod(pController, pSource);
  }

  public JavaMethod getXMLSetMethod(PropertySG pController, JavaSource pSource) throws SAXException {
    return backingObject.getXMLSetMethod(pController, pSource);
  }

  public JavaMethod getXMLIsSetMethod(PropertySG pController, JavaSource pSource) throws SAXException {
    return backingObject.getXMLIsSetMethod(pController, pSource);
  }

  public Object getValue(PropertySG pController, DirectAccessible pElement) throws SAXException {
    return backingObject.getValue(pController, pElement);
  }

  public void setValue(PropertySG pController, JavaMethod pMethod, DirectAccessible pElement, Object pValue, JavaQName pType) throws SAXException {
    backingObject.setValue(pController, pMethod, pElement, pValue, pType);
  }

  public void addValue(PropertySG pController, JavaMethod pMethod, DirectAccessible pElement, TypedValue pValue, JavaQName pType) throws SAXException {
    backingObject.addValue(pController, pMethod, pElement, pValue, pType);
  }

  public void forAllValues(PropertySG pController, JavaMethod pMethod, DirectAccessible pElement, SGlet pSGlet) throws SAXException {
    backingObject.forAllValues(pController, pMethod, pElement, pSGlet);
  }

  public void forAllNonNullValues(PropertySG pController, JavaMethod pMethod, DirectAccessible pElement, SGlet pSGlet) throws SAXException {
    backingObject.forAllNonNullValues(pController, pMethod, pElement, pSGlet);
  }

  public void generate(PropertySG pController, JavaSource pSource) throws SAXException {
    backingObject.generate(pController, pSource);
  }

}
