package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.PropertySG;
import org.apache.ws.jaxme.generator.sg.PropertySGChain;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaField;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.js.TypedValue;
import org.xml.sax.SAXException;


public class PropertySGImpl implements PropertySG {
  private PropertySGChain backingObject;


  public PropertySGImpl(PropertySGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public boolean hasIsSetMethod() {
    return backingObject.hasIsSetMethod(this);
  }

  public String getCollectionType() {
    return backingObject.getCollectionType(this);
  }

  public String getXMLFieldName() throws SAXException {
    return backingObject.getXMLFieldName(this);
  }

  public String getXMLGetMethodName() throws SAXException {
    return backingObject.getXMLGetMethodName(this);
  }

  public String getXMLSetMethodName() throws SAXException {
    return backingObject.getXMLSetMethodName(this);
  }

  public String getXMLIsSetMethodName() throws SAXException {
    return backingObject.getXMLIsSetMethodName(this);
  }

  public JavaField getXMLField(JavaSource pSource) throws SAXException {
    return backingObject.getXMLField(this, pSource);
  }

  public JavaMethod getXMLGetMethod(JavaSource pSource) throws SAXException {
    return backingObject.getXMLGetMethod(this, pSource);
  }

  public JavaMethod getXMLSetMethod(JavaSource pSource) throws SAXException {
    return backingObject.getXMLSetMethod(this, pSource);
  }

  public JavaMethod getXMLIsSetMethod(JavaSource pSource) throws SAXException {
    return backingObject.getXMLIsSetMethod(this, pSource);
  }

  public Object getValue(DirectAccessible pElement) throws SAXException {
    return backingObject.getValue(this, pElement);
  }

  public void setValue(JavaMethod pMethod, DirectAccessible pElement, Object pValue, JavaQName pType) throws SAXException {
    backingObject.setValue(this, pMethod, pElement, pValue, pType);
  }

  public void addValue(JavaMethod pMethod, DirectAccessible pElement, TypedValue pValue, JavaQName pType) throws SAXException {
    backingObject.addValue(this, pMethod, pElement, pValue, pType);
  }

  public void forAllValues(JavaMethod pMethod, DirectAccessible pElement, SGlet pSGlet) throws SAXException {
    backingObject.forAllValues(this, pMethod, pElement, pSGlet);
  }

  public void forAllNonNullValues(JavaMethod pMethod, DirectAccessible pElement, SGlet pSGlet) throws SAXException {
    backingObject.forAllNonNullValues(this, pMethod, pElement, pSGlet);
  }

  public void generate(JavaSource pSource) throws SAXException {
    backingObject.generate(this, pSource);
  }

  public PropertySGChain getHeadOfChain() {
    return backingObject;
  }

}
