package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.Generator;
import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.Facet;
import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.ObjectSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGFactoryChain;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.xs.XSAny;
import org.apache.ws.jaxme.xs.XSElement;
import org.apache.ws.jaxme.xs.XSEnumeration;
import org.apache.ws.jaxme.xs.XSGroup;
import org.apache.ws.jaxme.xs.XSObjectFactory;
import org.apache.ws.jaxme.xs.XSParser;
import org.apache.ws.jaxme.xs.XSSchema;
import org.apache.ws.jaxme.xs.XSType;
import org.apache.ws.jaxme.xs.xml.XsObjectFactory;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.xml.sax.SAXException;


public class SGFactoryChainImpl implements SGFactoryChain {
  private SGFactoryChain backingObject;


  protected SGFactoryChainImpl(SGFactoryChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public Generator getGenerator(SGFactory pController) {
    return backingObject.getGenerator(pController);
  }

  public void init(SGFactory pController) {
    backingObject.init(pController);
  }

  public XsObjectFactory newXsObjectFactory(SGFactory pController) throws SAXException {
    return backingObject.newXsObjectFactory(pController);
  }

  public XSObjectFactory newXSObjectFactory(SGFactory pController) throws SAXException {
    return backingObject.newXSObjectFactory(pController);
  }

  public Object newSchemaSG(SGFactory pController, XSSchema pSchema) throws SAXException {
    return backingObject.newSchemaSG(pController, pSchema);
  }

  public SchemaSG getSchemaSG(SGFactory pController, XSSchema pSchema) throws SAXException {
    return backingObject.getSchemaSG(pController, pSchema);
  }

  public SchemaSG getSchemaSG(SGFactory pController) {
    return backingObject.getSchemaSG(pController);
  }

  public Object newObjectSG(SGFactory pController, XSElement pElement) throws SAXException {
    return backingObject.newObjectSG(pController, pElement);
  }

  public ObjectSG getObjectSG(SGFactory pController, XSElement pElement) throws SAXException {
    return backingObject.getObjectSG(pController, pElement);
  }

  public Object newObjectSG(SGFactory pController, XSElement pElement, Context pContext) throws SAXException {
    return backingObject.newObjectSG(pController, pElement, pContext);
  }

  public ObjectSG getObjectSG(SGFactory pController, XSElement pElement, Context pContext) throws SAXException {
    return backingObject.getObjectSG(pController, pElement, pContext);
  }

  public Object newObjectSG(SGFactory pController, XSAny any) {
    return backingObject.newObjectSG(pController, any);
  }

  public ObjectSG getObjectSG(SGFactory pController, XSAny pWildcard, Context pContext) throws SAXException {
    return backingObject.getObjectSG(pController, pWildcard, pContext);
  }

  public GroupSG newGroupSG(SGFactory pController, XSGroup pGroup) throws SAXException {
    return backingObject.newGroupSG(pController, pGroup);
  }

  public GroupSG getGroupSG(SGFactory pController, XSGroup pGroup) throws SAXException {
    return backingObject.getGroupSG(pController, pGroup);
  }

  public GroupSG newGroupSG(SGFactory pController, XSGroup pGroup, Context pClassContext) throws SAXException {
    return backingObject.newGroupSG(pController, pGroup, pClassContext);
  }

  public GroupSG getGroupSG(SGFactory pController, XSGroup pGroup, Context pClassContext) throws SAXException {
    return backingObject.getGroupSG(pController, pGroup, pClassContext);
  }

  public Object newTypeSG(SGFactory pController, XSType pType) throws SAXException {
    return backingObject.newTypeSG(pController, pType);
  }

  public TypeSG getTypeSG(SGFactory pController, XSType pType) throws SAXException {
    return backingObject.getTypeSG(pController, pType);
  }

  public Object newTypeSG(SGFactory pController, XSType pType, Context pClassContext, XsQName pName) throws SAXException {
    return backingObject.newTypeSG(pController, pType, pClassContext, pName);
  }

  public TypeSG getTypeSG(SGFactory pController, XSType pType, Context pClassContext, XsQName pName) throws SAXException {
    return backingObject.getTypeSG(pController, pType, pClassContext, pName);
  }

  public Object newTypeSG(SGFactory pController, XSType pType, XsQName pName) throws SAXException {
    return backingObject.newTypeSG(pController, pType, pName);
  }

  public TypeSG getTypeSG(SGFactory pController, XSType pType, XsQName pName) throws SAXException {
    return backingObject.getTypeSG(pController, pType, pName);
  }

  public XSParser newXSParser(SGFactory pController) throws SAXException {
    return backingObject.newXSParser(pController);
  }

  public Facet newFacet(SGFactory pController, XSType pType, XSEnumeration[] pEnumerations) throws SAXException {
    return backingObject.newFacet(pController, pType, pEnumerations);
  }

  public GroupSG[] getGroups(SGFactory pController) {
    return backingObject.getGroups(pController);
  }

  public TypeSG[] getTypes(SGFactory pController) {
    return backingObject.getTypes(pController);
  }

  public ObjectSG[] getObjects(SGFactory pController) {
    return backingObject.getObjects(pController);
  }

}
