package org.apache.ws.jaxme.generator.sg.impl;

import java.util.List;
import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.ObjectSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGItem;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.SchemaSGChain;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.js.JavaSourceFactory;
import org.apache.ws.jaxme.xs.jaxb.JAXBJavaType;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.w3c.dom.Document;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class SchemaSGImpl implements SchemaSG , SGItem {
  private SchemaSGChain backingObject;


  public SchemaSGImpl(SchemaSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public TypeSG[] getTypes() throws SAXException {
    return backingObject.getTypes(this);
  }

  public TypeSG getType(XsQName pName) throws SAXException {
    return backingObject.getType(this, pName);
  }

  public GroupSG[] getGroups() throws SAXException {
    return backingObject.getGroups(this);
  }

  public GroupSG getGroup(XsQName pName) throws SAXException {
    return backingObject.getGroup(this, pName);
  }

  public ObjectSG[] getObjects() throws SAXException {
    return backingObject.getObjects(this);
  }

  public ObjectSG getElement(XsQName pName) throws SAXException {
    return backingObject.getElement(this, pName);
  }

  public ObjectSG[] getElements() throws SAXException {
    return backingObject.getElements(this);
  }

  public String getCollectionType() {
    return backingObject.getCollectionType(this);
  }

  public JavaSourceFactory getJavaSourceFactory() {
    return backingObject.getJavaSourceFactory(this);
  }

  public void generate() throws SAXException {
    backingObject.generate(this);
  }

  public boolean isBindingStyleModelGroup() {
    return backingObject.isBindingStyleModelGroup(this);
  }

  public boolean isChoiceContentProperty() {
    return backingObject.isChoiceContentProperty(this);
  }

  public boolean isFailFastCheckEnabled() {
    return backingObject.isFailFastCheckEnabled(this);
  }

  public boolean isJavaNamingConventionsEnabled() {
    return backingObject.isJavaNamingConventionsEnabled(this);
  }

  public boolean isFixedAttributeConstantProperty() {
    return backingObject.isFixedAttributeConstantProperty(this);
  }

  public boolean isGeneratingIsSetMethod() {
    return backingObject.isGeneratingIsSetMethod(this);
  }

  public boolean isUnderscoreWordSeparator() {
    return backingObject.isUnderscoreWordSeparator(this);
  }

  public JAXBJavaType[] getJAXBJavaTypes() {
    return backingObject.getJAXBJavaTypes(this);
  }

  public XsQName[] getTypesafeEnumBase() {
    return backingObject.getTypesafeEnumBase(this);
  }

  public Document getConfigFile(String pPackageName, List pContextList) throws SAXException {
    return backingObject.getConfigFile(this, pPackageName, pContextList);
  }

  public void generateJaxbProperties() throws SAXException {
    backingObject.generateJaxbProperties(this);
  }

  public SGFactory getFactory() {
    return backingObject.getFactory(this);
  }

  public SchemaSG getSchema() {
    return backingObject.getSchema(this);
  }

  public Locator getLocator() {
    return backingObject.getLocator(this);
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public SchemaSGChain getHeadOfChain() {
    return backingObject;
  }

}
