package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.AtomicTypeSG;
import org.apache.ws.jaxme.generator.sg.Facet;
import org.apache.ws.jaxme.generator.sg.ListTypeSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGItem;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSGChain;
import org.apache.ws.jaxme.generator.sg.UnionTypeSG;
import org.apache.ws.jaxme.generator.sg.Facet.Type;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.js.TypedValue;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class SimpleTypeSGImpl implements SimpleTypeSG , SGItem {
  private SimpleTypeSGChain backingObject;


  public SimpleTypeSGImpl(SimpleTypeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public boolean isAtomic() {
    return backingObject.isAtomic(this);
  }

  public boolean isList() {
    return backingObject.isList(this);
  }

  public boolean isUnion() {
    return backingObject.isUnion(this);
  }

  public boolean isNullable() {
    return backingObject.isNullable(this);
  }

  public void setNullable(boolean pNullable) {
    backingObject.setNullable(this, pNullable);
  }

  public AtomicTypeSG getAtomicType() {
    return backingObject.getAtomicType(this);
  }

  public ListTypeSG getListType() {
    return backingObject.getListType(this);
  }

  public UnionTypeSG getUnionType() {
    return backingObject.getUnionType(this);
  }

  public JavaQName getRuntimeType() {
    return backingObject.getRuntimeType(this);
  }

  public TypedValue getCastFromString(JavaMethod pMethod, Object pValue, Object pData) throws SAXException {
    return backingObject.getCastFromString(this, pMethod, pValue, pData);
  }

  public TypedValue getCastToString(JavaMethod pMethod, Object pValue, DirectAccessible pData) throws SAXException {
    return backingObject.getCastToString(this, pMethod, pValue, pData);
  }

  public TypedValue getCastFromString(String pValue) throws SAXException {
    return backingObject.getCastFromString(this, pValue);
  }

  public boolean hasSetMethod() throws SAXException {
    return backingObject.hasSetMethod(this);
  }

  public String getCollectionType() {
    return backingObject.getCollectionType(this);
  }

  public Facet[] getFacets() {
    return backingObject.getFacets(this);
  }

  public Facet getFacet(Type pType) {
    return backingObject.getFacet(this, pType);
  }

  public void forAllValues(JavaMethod pMethod, Object pValue, SGlet pSGlet) throws SAXException {
    backingObject.forAllValues(this, pMethod, pValue, pSGlet);
  }

  public void forAllNonNullValues(JavaMethod pMethod, Object pValue, SGlet pSGlet) throws SAXException {
    backingObject.forAllNonNullValues(this, pMethod, pValue, pSGlet);
  }

  public void generate() throws SAXException {
    backingObject.generate(this);
  }

  public void generate(JavaSource pSource) throws SAXException {
    backingObject.generate(this, pSource);
  }

  public Object getEqualsCheck(JavaMethod pMethod, Object pValue1, Object pValue2) throws SAXException {
    return backingObject.getEqualsCheck(this, pMethod, pValue1, pValue2);
  }

  public Object getInitialValue(JavaSource pSource) throws SAXException {
    return backingObject.getInitialValue(this, pSource);
  }

  public JavaMethod getXMLSetMethod(JavaSource pSource, String pFieldName, String pMethodName) throws SAXException {
    return backingObject.getXMLSetMethod(this, pSource, pFieldName, pMethodName);
  }

  public void addValidation(JavaMethod pMethod, DirectAccessible pValue) throws SAXException {
    backingObject.addValidation(this, pMethod, pValue);
  }

  public SGFactory getFactory() {
    return backingObject.getFactory(this);
  }

  public SchemaSG getSchema() {
    return backingObject.getSchema(this);
  }

  public Locator getLocator() {
    return backingObject.getLocator(this);
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public SimpleTypeSGChain getHeadOfChain() {
    return backingObject;
  }

}
