package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.ComplexTypeSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGItem;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.generator.sg.TypeSGChain;
import org.apache.ws.jaxme.js.JavaField;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.apache.ws.jaxme.xs.xml.XsSchemaHeader;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class TypeSGImpl implements TypeSG , SGItem {
  private TypeSGChain backingObject;


  public TypeSGImpl(TypeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void setProperty(String pName, Object pValue) {
    backingObject.setProperty(this, pName, pValue);
  }

  public Object getProperty(String pName) {
    return backingObject.getProperty(this, pName);
  }

  public boolean isGlobalType() {
    return backingObject.isGlobalType(this);
  }

  public boolean isGlobalClass() {
    return backingObject.isGlobalClass(this);
  }

  public XsQName getName() {
    return backingObject.getName(this);
  }

  public boolean isComplex() {
    return backingObject.isComplex(this);
  }

  public Object newSimpleTypeSG() throws SAXException {
    return backingObject.newSimpleTypeSG(this);
  }

  public Object newComplexTypeSG() throws SAXException {
    return backingObject.newComplexTypeSG(this);
  }

  public ComplexTypeSG getComplexTypeSG() {
    return backingObject.getComplexTypeSG(this);
  }

  public SimpleTypeSG getSimpleTypeSG() {
    return backingObject.getSimpleTypeSG(this);
  }

  public JavaField getXMLField(JavaSource pSource, String pFieldName, String pDefaultValue) throws SAXException {
    return backingObject.getXMLField(this, pSource, pFieldName, pDefaultValue);
  }

  public JavaMethod getXMLGetMethod(JavaSource pSource, String pFieldName, String pMethodName) throws SAXException {
    return backingObject.getXMLGetMethod(this, pSource, pFieldName, pMethodName);
  }

  public JavaMethod getXMLSetMethod(JavaSource pSource, String pFieldName, String pMethodName, boolean pSetIsSet) throws SAXException {
    return backingObject.getXMLSetMethod(this, pSource, pFieldName, pMethodName, pSetIsSet);
  }

  public JavaMethod getXMLIsSetMethod(JavaSource pSource, String pFieldName, String pMethodName) throws SAXException {
    return backingObject.getXMLIsSetMethod(this, pSource, pFieldName, pMethodName);
  }

  public JavaQName getRuntimeType() throws SAXException {
    return backingObject.getRuntimeType(this);
  }

  public void generate() throws SAXException {
    backingObject.generate(this);
  }

  public void generate(JavaSource pSource) throws SAXException {
    backingObject.generate(this, pSource);
  }

  public boolean isRestriction() {
    return backingObject.isRestriction(this);
  }

  public TypeSG getRestrictedType() {
    return backingObject.getRestrictedType(this);
  }

  public boolean isExtension() {
    return backingObject.isExtension(this);
  }

  public TypeSG getExtendedType() {
    return backingObject.getExtendedType(this);
  }

  public XsSchemaHeader getSchemaHeader() {
    return backingObject.getSchemaHeader(this);
  }

  public SGFactory getFactory() {
    return backingObject.getFactory(this);
  }

  public SchemaSG getSchema() {
    return backingObject.getSchema(this);
  }

  public Locator getLocator() {
    return backingObject.getLocator(this);
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public TypeSGChain getHeadOfChain() {
    return backingObject;
  }

}
