package org.apache.ws.jaxme.generator.sg.impl.ccsg;

import org.apache.ws.jaxme.generator.sg.AttributeSG;
import org.apache.ws.jaxme.generator.sg.ComplexTypeSG;
import org.apache.ws.jaxme.js.JavaSource;
import org.xml.sax.SAXException;


/** Base implementation of {@link BeanSG}, for derivation
 * of subclasses.
 */
public abstract class BeanSGImpl implements BeanSG {
	protected final ComplexTypeSG ctSG;
	private final JavaSource js;

	protected BeanSGImpl(ComplexTypeSG pType, JavaSource pJs) {
		js = pJs;
		ctSG = pType;
	}

	/** Returns the class being generated.
	 */
	public JavaSource getJavaSource() { return js; }

	public void generate() throws SAXException {
		JavaSource js = getJavaSource();
		AttributeSG[] myAttributes = ctSG.getAttributes();
		for (int i = 0;  i < myAttributes.length;  i++) {
			myAttributes[i].getPropertySG().generate(js);
		}
	}
}
