/*
 * Copyright 2005  The Apache Software Foundation
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.ws.jaxme.generator.sg.impl.ccsg;

import org.apache.ws.jaxme.generator.sg.ComplexTypeSG;
import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.js.JavaInnerClass;
import org.apache.ws.jaxme.js.JavaSource;
import org.xml.sax.SAXException;


/** Implementation of {@link DriverSG} for sequence groups.
 */
public class SequenceDriverSG extends GroupDriverSG {
	/** Creates a new instance, generating methods for serialization
	 * of the given type into the given source file.
	 */
	public SequenceDriverSG(ComplexTypeSG pType, JavaSource pJs) throws SAXException {
		super(pType, pJs);
	}

	/** Creates a new instance, generating methods for serialization
	 * of the given type into the given source file.
	 */
	public SequenceDriverSG(ComplexTypeSG pType, GroupSG pGroup,
							JavaSource pOuterGroup, JavaInnerClass pJs)
			throws SAXException {
		super(pType, pGroup, pOuterGroup, pJs);
	}
}
