package org.apache.ws.jaxme.impl;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;


/** The {@link javax.xml.parsers.SAXParser} is controlling
 * an internal stack of {@link JMSAXGroupParser} instances, one
 * for any nested sequence, choice, or all group being parsed.<br>
 * Note, that complex types with complex content are 
 */
public abstract class JMSAXGroupParser {
	protected abstract JMUnmarshallerHandlerImpl getHandler();

    /** Equivalent to
     * {@link org.xml.sax.ContentHandler#startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)}.
     */
    public abstract boolean startElement(String pNamespaceURI, String pLocalName, String pQName,
                                         Attributes pAttrs) throws SAXException;
    /** Roughly equivalent to
     * {@link org.xml.sax.ContentHandler#endElement(java.lang.String, java.lang.String, java.lang.String)}.
     * @param pResult The object that has been parsed.
     */
    public abstract void endElement(String pNamespaceURI, String pLocalName,
									String pQName, Object pResult) throws SAXException;

    /** Returns, whether the group contents are valid.
     */
    public abstract boolean isFinished();
}
